### Hierarchy

- JenkinsBuild

### Implements

- IJenkinsBuild

## Index

### Constructors

- constructor

### Properties

- _class
- actions
- artifacts
- building
- builtOn
- changeSets
- culprits
- date
- description
- displayName
- duration
- estimatedDuration
- executor
- fullDisplayName
- id
- jsonData
- keepLog
- mavenArtifacts
- mavenVersionUsed
- number
- queueId
- result
- timestamp
- url

### Methods

- fromJson
- fromJsonString
- getJsonData

## Constructors

### constructor

- new JenkinsBuild(): JenkinsBuild

- - Defined in JenkinsBuild.ts:34

  #### Returns JenkinsBuild

## Properties

### _class

_class: string

Implementation of IJenkinsBuild._class

- Defined in JenkinsBuild.ts:10

### actions

actions: Array<IJenkinsAction>

Implementation of IJenkinsBuild.actions

- Defined in JenkinsBuild.ts:30

### artifacts

artifacts: Array<any>

Implementation of IJenkinsBuild.artifacts

- Defined in JenkinsBuild.ts:31

### building

building: boolean

Implementation of IJenkinsBuild.building

- Defined in JenkinsBuild.ts:24

### builtOn

builtOn: string

Implementation of IJenkinsBuild.builtOn

- Defined in JenkinsBuild.ts:26

### changeSets

changeSets: Array<IJenkinsChangeSet>

Implementation of IJenkinsBuild.changeSets

- Defined in JenkinsBuild.ts:29

### culprits

culprits: Array<any>

Implementation of IJenkinsBuild.culprits

- Defined in JenkinsBuild.ts:34

### date

date: Date

Implementation of IJenkinsBuild.date

- Defined in JenkinsBuild.ts:23

### description

description: string

Implementation of IJenkinsBuild.description

- Defined in JenkinsBuild.ts:16

### displayName

displayName: string

Implementation of IJenkinsBuild.displayName

- Defined in JenkinsBuild.ts:14

### duration

duration: number

Implementation of IJenkinsBuild.duration

- Defined in JenkinsBuild.ts:20

### estimatedDuration

estimatedDuration: number

Implementation of IJenkinsBuild.estimatedDuration

- Defined in JenkinsBuild.ts:21

### executor

executor: Array<any>

Implementation of IJenkinsBuild.executor

- Defined in JenkinsBuild.ts:33

### fullDisplayName

fullDisplayName: string

Implementation of IJenkinsBuild.fullDisplayName

- Defined in JenkinsBuild.ts:15

### id

id: string

Implementation of IJenkinsBuild.id

- Defined in JenkinsBuild.ts:17

### jsonData

jsonData: JSON

- Defined in JenkinsBuild.ts:8

### keepLog

keepLog: boolean

Implementation of IJenkinsBuild.keepLog

- Defined in JenkinsBuild.ts:25

### mavenArtifacts

mavenArtifacts: Array<any>

- Defined in JenkinsBuild.ts:32

### mavenVersionUsed

mavenVersionUsed: string

- Defined in JenkinsBuild.ts:27

### number

number: number

Implementation of IJenkinsBuild.number

- Defined in JenkinsBuild.ts:11

### queueId

queueId: string

Implementation of IJenkinsBuild.queueId

- Defined in JenkinsBuild.ts:18

### result

result: string

Implementation of IJenkinsBuild.result

- Defined in JenkinsBuild.ts:19

### timestamp

timestamp: number

Implementation of IJenkinsBuild.timestamp

- Defined in JenkinsBuild.ts:22

### url

url: string

Implementation of IJenkinsBuild.url

- Defined in JenkinsBuild.ts:12

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsBuild.fromJson

  - Defined in JenkinsBuild.ts:56

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsBuild.fromJsonString

  - Defined in JenkinsBuild.ts:49

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsBuild.getJsonData

  - Defined in JenkinsBuild.ts:45

  #### Returns string

Generated using TypeDoc